<?php


  $adresse = basename($_SERVER['PHP_SELF'], '.php');

  require_once "url.php";

  ?>

  <!DOCTYPE html>
  <html lang="fr">
    <head>
      <meta charset="UTF-8">
      <title><?php echo $page['titre']; ?></title>
      <link rel="icon" type="image/webp" href="img/icons/16.webp" sizes="16x16">
      <link rel="icon" type="image/webp" href="img/icons/32.webp" sizes="32x32">
      <link rel="icon" type="image/webp" href="img/icons/64.webp" sizes="64x64">
      <link rel="icon" type="image/webp" href="img/icons/128.webp" sizes="128x128">
      <link rel="icon" type="image/webp" href="img/icons/256.webp" sizes="256x256">
      <link rel="icon" type="image/webp" href="img/icons/512.webp" sizes="512x512">
      <meta name="distribution" content="global">
      <meta name="robots" content="index, follow">
      <meta name="viewport" content="width=device-width, initial-scale=1">
      <meta name="description" content="<?php echo $page['description']; ?>">
      <script src="bibli/konami.js" async defer></script>
      <?php
require_once 'bibli/less.php/lib/Less/Autoloader.php';
Less_Autoloader::register();

$options = array('cache_dir' => 'css', 'compress' => true);
$lessFiles = array('style.less' => '');
$cssFileName = Less_Cache::Get($lessFiles, $options);
?>
      <link type="text/css" rel="stylesheet" href="css/<?= $cssFileName ?>">

<?php /* require_once "bibli/lesserphp/lessc.inc.php";
      $less = new lessc;
      $less->setFormatter("compressed");
      $less->checkedCompile("style.less", "style.min.css"); */ ?>
      <!--<link type="text/css" rel="stylesheet" href="style.min.css">-->
<?php /* $less = new lessc;
      $less->setFormatter("compressed");
      $less->checkedCompile("bibli/gomez/gomez.css", "bibli/gomez/gomez.min.css"); */ ?>
      <link type="text/css" rel="stylesheet" href="bibli/gomez/gomez.min.css">
<?php /* $less = new lessc;
      $less->setFormatter("compressed");
      $less->checkedCompile("bibli/fontello/css/fontello.css", "bibli/fontello/css/fontello.min.css"); */ ?>
      <link type="text/css" rel="stylesheet" href="bibli/fontello/css/fontello.min.css">
      <!--<link type="text/css" rel="stylesheet" href="bibli/nyan.css">-->
      <!--<script src="bibli/nyan.js" async defer></script>-->
      <!--<link type="text/css" rel="stylesheet" href="bibli/ubuntu/ubuntu.min.css">-->
    </head>

    <body lang="fr">
      <header>
        <a id="lienHeader" href=".">
          <div class="logo"><img src="img/antopiev5-500.webp" alt="Antopie" /></div>
        </a>
      </header>

    	<main>
