*[FTTH]: Fiber To The Home
*[FAI]: Fournisseur d'Accès à Internet
*[DNSSEC]: Domain Name System Security Extensions
*[HSTS]: HTTP Strict Transport Security
*[DNS]: Domain Name System

## Matériel

Une tour nommée Pastèque avec :
* 12 Go de RAM
* Disque dur d'1,5 To
* Intel Core i5, 64 bits, 4 cœurs, 3,4GHz

## Système

[YunoHost](https://yunohost.org) 4.0 (basé sur [Debian](https://www.debian.org) 10) et son écosystème : Nginx, Postfix, Fail2ban...

## DNS

Le domaine `antopie.org` est enregistré chez [Gandi](https://gandi.net) et administré sur leur interface Web LiveDNS.
[DNSSEC](https://fr.wikipedia.org/wiki/Domain_Name_System_Security_Extensions) est activé dessus.
Il est enregistré dans la [HSTS Preload List](https://hstspreload.org).

## Onion

En plus de l'accès par le DNS, plusieurs services sont aussi accessibles en `.onion`, par Tor. Il s'agit des mêmes serveurs qui tournent derrière, et leurs URLs d'accès Web sont interchangeables. Le support de l'Onion est récent, et des modifications importantes pourraient survenir dessus.

## Internet

Pastèque est connectée à Internet via une connexion du FAI Free en fibre optique (FTTH) à Paris.
Le débit maximal disponible varie entre 50 Mo/s (400 Mbit/s) et 100 Mo/s (800 Mbit/s).
Adresse IPv6 : `2a01:e34:ec23:b760:5604:a6ff:fec4:58bd`
Adresse IPv4 : `78.194.59.118`

## Sauvegarde

Des sauvegardes sont faites régulièrement avec le [système intégré à YunoHost](https://yunohost.org/#/backup).
PeerTube et Nextcloud ne sont pas sauvegardées car cela prendrait trop de place.
Les sauvegardes sont copiées sur un disque dans la même pièce.

## Relai Tor

Pastèque héberge aussi [un relai Tor](https://metrics.torproject.org/rs.html#details/BE8737597F2E6B4F805893202C935125829A902E).
